<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>gomoku: Membres de classe - Fonctions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">gomoku
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_a"></a>- a -</h3><ul>
<li>afficher()
: <a class="el" href="class_plateau.html#a1cb087d154a06586b63e9664fe777197">Plateau</a>
</li>
<li>afficherFinPartie()
: <a class="el" href="class_jeu.html#aa586f35330a478b7ef56cdef1390bb79">Jeu</a>
</li>
<li>afficherMenuChoixDePartie()
: <a class="el" href="class_jeu.html#a2f799634955420a3f95d6c600c1c8fac">Jeu</a>
</li>
</ul>


<h3><a id="index_c"></a>- c -</h3><ul>
<li>checkDiagonale()
: <a class="el" href="class_plateau.html#a7efae1b55ca65e8e87da45920761ed0c">Plateau</a>
</li>
<li>checkHorizontal()
: <a class="el" href="class_plateau.html#a8ddb18540b78d801c6297b7769cbeb21">Plateau</a>
</li>
<li>checkVertical()
: <a class="el" href="class_plateau.html#a831ab782ef48c2cd5b25af9bd07f7306">Plateau</a>
</li>
<li>checkVictoire()
: <a class="el" href="class_jeu.html#a60cfa6bcd60174173ad421f897de4a4d">Jeu</a>
</li>
<li>coupAutorise()
: <a class="el" href="class_plateau.html#a389352cb35c9b69d047450810f523d8a">Plateau</a>
</li>
</ul>


<h3><a id="index_g"></a>- g -</h3><ul>
<li>getCouleur()
: <a class="el" href="class_joueur.html#a5912789a36779072d93bc01825d8d968">Joueur</a>
, <a class="el" href="class_point.html#a3dce10401e8a0116cd33af91e4eb2a2c">Point</a>
</li>
<li>getJoueur1()
: <a class="el" href="class_jeu.html#a05ab46ddda667ae4e2650f41a8bce355">Jeu</a>
</li>
<li>getJoueur2()
: <a class="el" href="class_jeu.html#a5eabee8914da45357d261f143470cf61">Jeu</a>
</li>
<li>getNbPions()
: <a class="el" href="class_joueur.html#af5243334ac06c28123a288e456096d47">Joueur</a>
</li>
<li>getP()
: <a class="el" href="class_jeu.html#a06c78fea8e09393e6cc0f5a4b8f9798b">Jeu</a>
</li>
<li>getPionAt()
: <a class="el" href="class_plateau.html#ab1e2153e5ea741119012fd01ab4677dd">Plateau</a>
</li>
<li>getPseudo()
: <a class="el" href="class_joueur.html#a05d02936c947fb18a394fb0d7864723c">Joueur</a>
</li>
<li>getStringRepresentationOfColor()
: <a class="el" href="class_tools.html#a5ae7a8455f7e94daecb9ab5ad3968a8c">Tools</a>
</li>
<li>getX()
: <a class="el" href="class_point.html#ac9d5859db121c7d1b89ca89266dca0a3">Point</a>
</li>
<li>getY()
: <a class="el" href="class_point.html#a86d10ff46e08462c45b15a8c7ef62d61">Point</a>
</li>
</ul>


<h3><a id="index_j"></a>- j -</h3><ul>
<li>Jeu()
: <a class="el" href="class_jeu.html#acc5795ee00edf75516d3dfe65be3e6d6">Jeu</a>
</li>
<li>Joueur()
: <a class="el" href="class_joueur.html#a3464d22c5d1576af68b6d6ec4b3406e6">Joueur</a>
</li>
</ul>


<h3><a id="index_l"></a>- l -</h3><ul>
<li>lancerHumainVsHumain()
: <a class="el" href="class_jeu.html#a77193e1c7f644fceac7d2e2fc3799d89">Jeu</a>
</li>
</ul>


<h3><a id="index_p"></a>- p -</h3><ul>
<li>Plateau()
: <a class="el" href="class_plateau.html#a07026170529dd928238ee45de0a797d7">Plateau</a>
</li>
<li>Point()
: <a class="el" href="class_point.html#ad92f2337b839a94ce97dcdb439b4325a">Point</a>
</li>
<li>poserPion()
: <a class="el" href="class_joueur.html#ad8c49a2997ad1fb168d5f6fb88ca7d55">Joueur</a>
</li>
</ul>


<h3><a id="index_r"></a>- r -</h3><ul>
<li>reinit()
: <a class="el" href="class_plateau.html#a73c386076bce288714410059e5308abc">Plateau</a>
</li>
</ul>


<h3><a id="index_s"></a>- s -</h3><ul>
<li>saveWinner()
: <a class="el" href="class_tools.html#ab9c129bef7cd0ad3a14f713bfb4e9fda">Tools</a>
</li>
<li>setCouleur()
: <a class="el" href="class_joueur.html#a27e8d8b8ec766d02b5508f12bbde7754">Joueur</a>
, <a class="el" href="class_point.html#a10d04a1ee26ee57c062967d4e2d7a87b">Point</a>
</li>
<li>setJoueur1()
: <a class="el" href="class_jeu.html#a66d9207108b869c34b4d4fcbed3a6123">Jeu</a>
</li>
<li>setJoueur2()
: <a class="el" href="class_jeu.html#a1436d92896dbb6a36b8d9fbb6736360a">Jeu</a>
</li>
<li>setNbPions()
: <a class="el" href="class_joueur.html#ab003f6a4574165626ad437492b2cde6f">Joueur</a>
</li>
<li>setP()
: <a class="el" href="class_jeu.html#a152c50e26a336590775f732baf5a472d">Jeu</a>
</li>
<li>setPionAt()
: <a class="el" href="class_plateau.html#a0a4fbd18042b9d89a8e4e8e46aea0f25">Plateau</a>
</li>
<li>setPseudo()
: <a class="el" href="class_joueur.html#adc95a4a0a66297f0b0b90318280b8b70">Joueur</a>
</li>
<li>setX()
: <a class="el" href="class_point.html#aa1d444024813ee4def15bb8576c351fc">Point</a>
</li>
<li>setY()
: <a class="el" href="class_point.html#aadbaf15691dc524ea45716ef3fa24285">Point</a>
</li>
</ul>


<h3><a id="index__7E"></a>- ~ -</h3><ul>
<li>~Plateau()
: <a class="el" href="class_plateau.html#a0e6ae72e4d7e9923f996c1247e6a6c8b">Plateau</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Généré par &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
